Bug 111987 - OOPS on PCI access - caused by airo driver?
OOPS on PCI access - caused by airo driver?
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-12 09:32 EST by Paul Jenner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-09 16:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
syslog output - /var/log/messages (31.77 KB, text/plain)
2003-12-12 09:47 EST, Paul Jenner
no flags Details

  None (edit)
Description Paul Jenner 2003-12-12 09:32:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
kernel OOPS on various PCI access - all appear to be caused by the
airo driver. In testing, experienced OOPSs so far with:

1) starting X doing PCI scan
2) running lspci

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot Fedora with kernel specified
2. normal boot (including probe for airo), wait for X to start
3. OOPs caused by PCI scan when X starts
4. further runs of lspci causes OOPs

Additional info:

Will attach OOPs output in further post.
Comment 1 Paul Jenner 2003-12-12 09:47:57 EST
Created attachment 96494 [details]
syslog output - /var/log/messages

Attached syslog output (from /var/log/messages) shows boot and then OOPSs
caused by X PCI probe, then lspci.

OOPS looks like it may be triggered by proc_config_on_close in airo driver.
Comment 2 Paul Jenner 2003-12-12 10:08:55 EST
Possibly a dup of 110204? That also shows similar OOPS (scan_device
etc.) on X startup after airo probed for PCI.
Comment 3 Paul Jenner 2003-12-18 15:25:58 EST
The problem appears to be triggered by kudzu - stopping the kudzu
service running at boot fixed the issue for me.

I am wondering if this is caused by the PCI unregister issue in the
airo driver noted in this lkml post:


The kernel booted does not look to contain the PCI unregister fix
noted and during kudzu probe I am presuming it may load the airo
module to scan for devices and then unload it after scan. If this does
not unregister correctly, subsequent access may cause the OOPS.

If I get chance, I'll try to apply the driver fixes posted to lkml and

Please shoot me down in flames if this is all complete rubbish of
course... :-)
Comment 4 Paul Jenner 2004-09-09 16:20:11 EDT
I haven't been able to reproduce the OOPS since moving to FC2 and 2.6
kernel. Assumed resolved.

Note You need to log in before you can comment on or make changes to this bug.